package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.console.TConsoleDictionary;
import com.chenyang.nse.bussiness.entity.vo.DictionartFileVO;
import java.lang.reflect.InvocationTargetException;
import java.util.List;
import org.springframework.web.multipart.MultipartFile;

public interface DictionartFileService {
   List<DictionartFileVO> queryDictionaryFile(String typecode);

   String readExcelFile(MultipartFile file);

   void delTableData();

   void saveTableData(List<TConsoleDictionary> list1) throws IllegalAccessException, IllegalArgumentException, InvocationTargetException;

   void empty1(String smart, String typecode);
}
